Subject: QUOTA extension

From: "Steve Collins" <[email-masked]>
Date: Thu, 9 Nov 2000 07:42:35 -0800

Hi all, I hope this is the right place to post this....

    The question is on use of GETQUOTAROOT and GETQUOTA to check on other
users (for admin purposes).

    RFC 2087 say to use :
        TAG GETQUOTAROOT mailbox  (returns quotaroot)
    then
        TAG GETQUOTA returned-quotaroot

    So, my main questions is : how do I specify mailbox (in first example)
such that it refers to a particular (not me) user; I want to login as a
"superuser" and check quotas of unprivileged users.

    Some background:
    I've done some testing against Netscape's Messaging server to see how it
behaves

    An unprivileged user "ziggy" can login and execute: TAG GETQUOTAROOT
INBOX which returns :
        * QUOTAROOT INBOX user/ziggy
        * QUOTA user/ziggy()
    But cannot execute : GETQUOTA user/ziggy(permission is denied)

    A privileged user can execute :
        TAG GETQUOTA user/ziggy
    but must know the quotaroot to do this (which is the problem)

TIA
Steve
-------------------------
Steve Collins
APEX Voice Communications
818.379.8400 ext 113